Package net.commoble.jumbofurnace

# Class JumboFurnace

java.lang.Object
net.commoble.jumbofurnace.JumboFurnace

public class JumboFurnace extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.advancements.CriterionTrigger<?>,AssembleJumboFurnaceTrigger>`
`assembleJumboFurnaceTrigger`
`static final net.minecraft.tags.TagKey<net.minecraft.world.level.block.Block>`
`JUMBOFURNACEABLE_TAG`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,JumboFurnaceBlock>`
`jumboFurnaceBlock`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.entity.BlockEntityType<?>,net.minecraft.world.level.block.entity.BlockEntityType<JumboFurnaceCoreBlockEntity>>`
`jumboFurnaceCoreBlockEntityType`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.entity.BlockEntityType<?>,net.minecraft.world.level.block.entity.BlockEntityType<JumboFurnaceExteriorBlockEntity>>`
`jumboFurnaceExteriorBlockEntityType`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.Item,JumboFurnaceItem>`
`jumboFurnaceItem`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.Item,net.minecraft.world.item.Item>`
`jumboFurnaceJeiDummy`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.inventory.MenuType<?>,net.minecraft.world.inventory.MenuType<JumboFurnaceMenu>>`
`jumboFurnaceMenuType`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.crafting.RecipeSerializer<?>,net.minecraft.world.item.crafting.RecipeSerializer<JumboFurnaceRecipe>>`
`jumboSmeltingRecipeSerializer`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.crafting.RecipeType<?>,net.minecraft.world.item.crafting.RecipeType<JumboFurnaceRecipe>>`
`jumboSmeltingRecipeType`
`static final String`
`MODID`
`static final net.minecraft.tags.TagKey<net.minecraft.world.item.Item>`
`MULTIPROCESSING_UPGRADE_TAG`
`final ServerConfig`
`serverConfig`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.advancements.CriterionTrigger<?>,UpgradeJumboFurnaceTrigger>`
`upgradeJumboFurnaceTrigger`

## Constructor Summary

Constructors
Constructor
Description
`JumboFurnace(net.neoforged.bus.api.IEventBus modBus)`

## Method Summary

Modifier and Type
Method
Description
`static JumboFurnace`
`get()`
`static net.minecraft.resources.ResourceLocation`
`id(String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MODID

public static final String MODID

See Also:
  - Constant Field Values

### JUMBOFURNACEABLE_TAG

public static final net.minecraft.tags.TagKey<net.minecraft.world.level.block.Block> JUMBOFURNACEABLE_TAG

### MULTIPROCESSING_UPGRADE_TAG

public static final net.minecraft.tags.TagKey<net.minecraft.world.item.Item> MULTIPROCESSING_UPGRADE_TAG

### serverConfig

public final ServerConfig serverConfig

### jumboFurnaceBlock

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,JumboFurnaceBlock> jumboFurnaceBlock

### jumboFurnaceItem

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.Item,JumboFurnaceItem> jumboFurnaceItem

### jumboFurnaceJeiDummy

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.Item,net.minecraft.world.item.Item> jumboFurnaceJeiDummy

### jumboFurnaceCoreBlockEntityType

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.entity.BlockEntityType<?>,net.minecraft.world.level.block.entity.BlockEntityType<JumboFurnaceCoreBlockEntity>> jumboFurnaceCoreBlockEntityType

### jumboFurnaceExteriorBlockEntityType

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.entity.BlockEntityType<?>,net.minecraft.world.level.block.entity.BlockEntityType<JumboFurnaceExteriorBlockEntity>> jumboFurnaceExteriorBlockEntityType

### jumboFurnaceMenuType

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.inventory.MenuType<?>,net.minecraft.world.inventory.MenuType<JumboFurnaceMenu>> jumboFurnaceMenuType

### jumboSmeltingRecipeType

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.crafting.RecipeType<?>,net.minecraft.world.item.crafting.RecipeType<JumboFurnaceRecipe>> jumboSmeltingRecipeType

### jumboSmeltingRecipeSerializer

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.crafting.RecipeSerializer<?>,net.minecraft.world.item.crafting.RecipeSerializer<JumboFurnaceRecipe>> jumboSmeltingRecipeSerializer

### assembleJumboFurnaceTrigger

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.advancements.CriterionTrigger<?>,AssembleJumboFurnaceTrigger> assembleJumboFurnaceTrigger

### upgradeJumboFurnaceTrigger

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.advancements.CriterionTrigger<?>,UpgradeJumboFurnaceTrigger> upgradeJumboFurnaceTrigger

## Constructor Details

### JumboFurnace

public JumboFurnace(net.neoforged.bus.api.IEventBus modBus)

## Method Details

### get

public static JumboFurnace get()

### id

public static net.minecraft.resources.ResourceLocation id(String path)